Bug 651308 - UTF8 double-encoding in krb5-auth-dialog with Norwegian locale
Summary: UTF8 double-encoding in krb5-auth-dialog with Norwegian locale
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora Localization
Classification: Fedora
Component: Other language
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Kjartan Maraas
QA Contact: A S Alam
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-09 08:40 UTC by Ingvar Hagelund
Modified: 2013-07-03 01:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-14 13:26:17 UTC


Attachments (Terms of Use)
The modal dialog of krb5-auth-dialog with double-encoded UTF8 (17.50 KB, image/png)
2010-11-09 08:40 UTC, Ingvar Hagelund
no flags Details
screenshot showing double encoding in kerberos timeout popup (19.82 KB, image/png)
2010-11-19 09:45 UTC, Ingvar Hagelund
no flags Details

Description Ingvar Hagelund 2010-11-09 08:40:44 UTC
Created attachment 459036 [details]
The modal dialog of krb5-auth-dialog with double-encoded UTF8

Description of problem:
UTF8 double-encoding in krb5-auth-dialog with Norwegian locale

Version-Release number of selected component (if applicable):
krb5-auth-dialog-0.16-1.fc14

How reproducible:
Always

Steps to Reproduce:
1. Set up the computer as a kerberos client. Log in. Do not enter a password for the kerberos domain. Start a terminal window.

2. pkill -9 krb5-auth-dialog

3. LANG=nb_NO.UTF-8 krb5-auth-dialog

4. Get/renew the kerberos ticket by clicking on the krb5 panel applet
  
Actual results:
A modal dialog with double-encoded UTF8 appears

Expected results:
A modal dialog with normal UTF8 characters

Additional info:
Added an attachment showing the graphical appearance of the the bug.

The correct text should have been:

Vennligst oppgi passord for «ingvar@LINPRO.NO»:

             Pålogginsinformasjonen har gått ut

Comment 1 Piotr Drąg 2010-11-10 01:22:55 UTC
Assigning to Norwegian maintainer.

Comment 2 Ingvar Hagelund 2010-11-19 09:44:06 UTC
The double encoding bug is also visible in the timeout warning popup. It has also a mix of Norwegian and English language.

See the attached screenshot.

Ingvar

Comment 3 Ingvar Hagelund 2010-11-19 09:45:26 UTC
Created attachment 461504 [details]
screenshot showing double encoding in kerberos timeout popup

Comment 4 Kjartan Maraas 2010-11-19 13:08:25 UTC
This doesn't look wrong in the translation. The .po file is UTF-8 encode as it should be and specifies UTF-8 as encoding as well

[kmaraas@e4300 po]$ file nb.po 
nb.po: UTF-8 Unicode English text
[kmaraas@e4300 po]$ pwd
/home/kmaraas/src/gnome/krb5-auth-dialog/po

[kmaraas@e4300 po]$ grep UTF nb.po
"Content-Type: text/plain; charset=UTF-8\n"

[kmaraas@e4300 po]$ grep -e utl nb.po
msgstr[0] "Påloggingsinformasjonen utløper om %d minutt"
msgstr[1] "Påloggingsinformasjonen utløper om %d minutter"

Maybe the app needs a new release with updated translations?

Comment 5 Ingvar Hagelund 2010-11-19 14:08:19 UTC
* Kjartan Maraas
> This doesn't look wrong in the translation. The .po file is UTF-8
> encode as it should be and specifies UTF-8 as encoding as well
> (...snip...)
> 
> [kmaraas@e4300 po]$ grep -e utl nb.po
> msgstr[0] "Påloggingsinformasjonen utløper om %d minutt"
> msgstr[1] "Påloggingsinformasjonen utløper om %d minutter"

From the f14 package (krb5-auth-dialog-0.16-1.fc14):

$ grep -e utl nb.po
msgstr[0] "Påloggingsinformasjonen utløper om %d minutt"
msgstr[1] "Påloggingsinformasjonen utløper om %d minutter"
msgstr "Påloggingsinformasjonen utløper om %d minutt"
 
> Maybe the app needs a new release with updated translations?

That, or the package could use a patch.

This commit seems to have the necessary updates, though I think some of
the changes sound ... strange in my Norwegian ears.

http://git.gnome.org/browse/krb5-auth-dialog/commit/?id=d6a8adf873c988c3e53fdeafc1b50a73bf17e3ec

Ingvar

Comment 6 Piotr Drąg 2010-12-14 13:26:17 UTC
Upstream released 0.17 version with fixed Norwegian translation, so I'm closing this bug.


Note You need to log in before you can comment on or make changes to this bug.